# Test: Trigger with spaces
# Expected: FAIL
# Error code: custom
# Error path: agent.menu[0].trigger
# Error message: agent.menu[].trigger must be kebab-case (lowercase words separated by hyphen)

agent:
  metadata:
    id: spaces-trigger
    name: Spaces Trigger
    title: Spaces
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle

  menu:
    - trigger: list tasks
      description: Invalid trigger with spaces
      action: list_tasks
